aagc.vo

## Class MedicoDiBaseResponseelencomedicialladata

- java.lang.Object
- - aagc.vo.MedicoDiBaseResponseelencomedicialladata

-     public class MedicoDiBaseResponseelencomedicialladata
      extends java.lang.Object

  Classe Java per MedicoDiBaseResponseelencomedicialladata complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="MedicoDiBaseResponseelencomedicialladata">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codComuneAttivita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codMotivoCessazione" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codTipoIncarico" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codiceFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataFine" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataInizio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descComuneAttivita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descMotivoCessazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descTipoIncarico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numDistretto" type="{http://www.w3.org/2001/XMLSchema}int"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codComuneAttivita`
    `protected java.lang.String` | `codiceFiscale`
    `protected int` | `codMotivoCessazione`
    `protected int` | `codTipoIncarico`
    `protected java.lang.String` | `cognome`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `dataNascita`
    `protected java.lang.String` | `descComuneAttivita`
    `protected java.lang.String` | `descMotivoCessazione`
    `protected java.lang.String` | `descTipoIncarico`
    `protected java.lang.String` | `nome`
    `protected int` | `numDistretto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicoDiBaseResponseelencomedicialladata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodComuneAttivita()` Recupera il valore della proprietà codComuneAttivita.
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `int` | `getCodMotivoCessazione()` Recupera il valore della proprietà codMotivoCessazione.
    `int` | `getCodTipoIncarico()` Recupera il valore della proprietà codTipoIncarico.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getDescComuneAttivita()` Recupera il valore della proprietà descComuneAttivita.
    `java.lang.String` | `getDescMotivoCessazione()` Recupera il valore della proprietà descMotivoCessazione.
    `java.lang.String` | `getDescTipoIncarico()` Recupera il valore della proprietà descTipoIncarico.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `int` | `getNumDistretto()` Recupera il valore della proprietà numDistretto.
    `void` | `setCodComuneAttivita(java.lang.String value)` Imposta il valore della proprietà codComuneAttivita.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setCodMotivoCessazione(int value)` Imposta il valore della proprietà codMotivoCessazione.
    `void` | `setCodTipoIncarico(int value)` Imposta il valore della proprietà codTipoIncarico.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDataNascita(java.lang.String value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDescComuneAttivita(java.lang.String value)` Imposta il valore della proprietà descComuneAttivita.
    `void` | `setDescMotivoCessazione(java.lang.String value)` Imposta il valore della proprietà descMotivoCessazione.
    `void` | `setDescTipoIncarico(java.lang.String value)` Imposta il valore della proprietà descTipoIncarico.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setNumDistretto(int value)` Imposta il valore della proprietà numDistretto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codComuneAttivita

          protected java.lang.String codComuneAttivita

    - #### codMotivoCessazione

          protected int codMotivoCessazione

    - #### codTipoIncarico

          protected int codTipoIncarico

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### cognome

          protected java.lang.String cognome

    - #### dataFine

          protected java.lang.String dataFine

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataNascita

          protected java.lang.String dataNascita

    - #### descComuneAttivita

          protected java.lang.String descComuneAttivita

    - #### descMotivoCessazione

          protected java.lang.String descMotivoCessazione

    - #### descTipoIncarico

          protected java.lang.String descTipoIncarico

    - #### nome

          protected java.lang.String nome

    - #### numDistretto

          protected int numDistretto

  - ### Constructor Detail

    - #### MedicoDiBaseResponseelencomedicialladata

          public MedicoDiBaseResponseelencomedicialladata()

  - ### Method Detail

    - #### getCodComuneAttivita

          public java.lang.String getCodComuneAttivita()

      Recupera il valore della proprietà codComuneAttivita.
      Returns:
        possible object is `String`

    - #### setCodComuneAttivita

          public void setCodComuneAttivita(java.lang.String value)

      Imposta il valore della proprietà codComuneAttivita.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodMotivoCessazione

          public int getCodMotivoCessazione()

      Recupera il valore della proprietà codMotivoCessazione.

    - #### setCodMotivoCessazione

          public void setCodMotivoCessazione(int value)

      Imposta il valore della proprietà codMotivoCessazione.

    - #### getCodTipoIncarico

          public int getCodTipoIncarico()

      Recupera il valore della proprietà codTipoIncarico.

    - #### setCodTipoIncarico

          public void setCodTipoIncarico(int value)

      Imposta il valore della proprietà codTipoIncarico.

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public java.lang.String getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `String`

    - #### setDataNascita

          public void setDataNascita(java.lang.String value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescComuneAttivita

          public java.lang.String getDescComuneAttivita()

      Recupera il valore della proprietà descComuneAttivita.
      Returns:
        possible object is `String`

    - #### setDescComuneAttivita

          public void setDescComuneAttivita(java.lang.String value)

      Imposta il valore della proprietà descComuneAttivita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescMotivoCessazione

          public java.lang.String getDescMotivoCessazione()

      Recupera il valore della proprietà descMotivoCessazione.
      Returns:
        possible object is `String`

    - #### setDescMotivoCessazione

          public void setDescMotivoCessazione(java.lang.String value)

      Imposta il valore della proprietà descMotivoCessazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescTipoIncarico

          public java.lang.String getDescTipoIncarico()

      Recupera il valore della proprietà descTipoIncarico.
      Returns:
        possible object is `String`

    - #### setDescTipoIncarico

          public void setDescTipoIncarico(java.lang.String value)

      Imposta il valore della proprietà descTipoIncarico.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumDistretto

          public int getNumDistretto()

      Recupera il valore della proprietà numDistretto.

    - #### setNumDistretto

          public void setNumDistretto(int value)

      Imposta il valore della proprietà numDistretto.